Subject: RE: [Sipping] Call transfer on a forked call

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>
Date: Wed, 6 Dec 2006 23:04:42 -0500

Inline .. 

>-----Original Message-----
>From: Kapil Nayar [mailto:[email-masked]] 
>Sent: Wednesday, December 06, 2006 12:41 PM
>To: Sanjay Sinha (sanjsinh); [email-masked]
>Subject: RE: [Sipping] Call transfer on a forked call
>
>Hi Sanjay
>
>Are you referring to RFC 3515 - which disallows multiple 
>Refer-To headers in REFER and forking on REFER sent within a 
>dialog? Although, I don't understand why the RFC restricts it.
>
>Sometime back there was an IETF effort with respect to 
>supporting multiple Refer-To in REFER or rather doing a single 
>REFER for multiple targets. But, I don't see any current 
>active draft/ RFC in this regard.

Pl. refer to draft-ietf-sip-multiple-refer-00.txt

Sanjay

>
>The scenario that I describe is somewhat similar to an 
>attended xfer (alerting stage) on multiple targets which I 
>feel is very much valid. 
>I am sure there must be a standard SIP procedure to do this 
>already - or else I can certainly propose one here.
>
>thanks,
>Kapil
>
>PS: Wondering if this should go to SIP mailing list. 
>
>--- "Sanjay Sinha (sanjsinh)" <[email-masked]>
>wrote:
>
>> I think you are talking about attended xfer which transfer target(s) 
>> are still in alerting state. I think there is a RFC/draft which 
>> mentions that it is not supported.
>> 
>> >-----Original Message-----
>> >From: Kapil Nayar [mailto:[email-masked]]
>> >Sent: Tuesday, December 05, 2006 4:17 PM
>> >To: [email-masked]
>> >Subject: [Sipping] Call transfer on a forked call
>> >
>> >Hi
>> >
>> >Consider a scenario:
>> >1. Transferor initiates a new call towards the
>> transfer
>> >target. Transfer target replies with 302 but with
>> multiple contacts.
>> >3. Transferor forks the call to the multiple
>> contacts which
>> >are alerted. Transferor completes the transfer at
>> this point
>> >through REFER message to transferee.
>> >
>> >Is it legal to:
>> >a. Include multiple "Refer To:" headers with
>> replaces parameters.
>> >b. Expect the transferee to send individual
>> Invite-w-replaces
>> >to multiple contacts based upon each "Refer To:"
>> header.
>> >c. Expect the transferee to terminate the call when
>> one of the
>> >transfer targets answers the call.
>> >d. Does the NOTIFY from transferee to transferor
>> needs to
>> >distinguish between the individual "Refer To:"
>> >sessions?
>> >
>> >Any pointers to drafts/ RFCs covering this
>> scenario(s) would
>> >be welcome.
>> >
>> >thanks,
>> >Kapil
>> >
>> >Send instant messages to your online friends 
>> >http://uk.messenger.yahoo.com
>> >
>> >_______________________________________________
>> >Sipping mailing list
>> https://www1.ietf.org/mailman/listinfo/sipping
>> >This list is for NEW development of the application
>> of SIP Use
>> >[email-masked] for questions on
>> current sip
>> >Use [email-masked] for new developments of core SIP
>> >
>> 
>
>
>
>Send instant messages to your online friends 
>http://uk.messenger.yahoo.com 
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP